version: "3.9"

services:
  db:
    image: postgres:16-alpine
    container_name: saveinmed-db
    restart: unless-stopped
    environment:
      POSTGRES_USER: postgres
      POSTGRES_PASSWORD: "123"
      POSTGRES_DB: saveinmed
    ports:
      - "55432:5432"
    volumes:
      - saveinmed_pgdata:/var/lib/postgresql/data
    healthcheck:
      test: ["CMD-SHELL", "pg_isready -U postgres -d saveinmed"]
      interval: 5s
      timeout: 5s
      retries: 10

volumes:
  saveinmed_pgdata:
